//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#pragma hdrstop
//---------------------------------------------------------------------------
//   Important note about DLL memory management when your DLL uses the
//   static version of the RunTime Library:
//
//   If your DLL exports any functions that pass String objects (or structs/
//   classes containing nested Strings) as parameter or function results,
//   you will need to add the library MEMMGR.LIB to both the DLL project and
//   any other projects that use the DLL.  You will also need to use MEMMGR.LIB
//   if any other projects which use the DLL will be performing new or delete
//   operations on any non-TObject-derived classes which are exported from the
//   DLL. Adding MEMMGR.LIB to your project will change the DLL and its calling
//   EXE's to use the BORLNDMM.DLL as their memory manager.  In these cases,
//   the file BORLNDMM.DLL should be deployed along with your DLL.
//
//   To avoid using BORLNDMM.DLL, pass string information using "char *" or
//   ShortString parameters.
//
//   If your DLL uses the dynamic version of the RTL, you do not need to
//   explicitly add MEMMGR.LIB as this will be done implicitly for you
//---------------------------------------------------------------------------

#pragma argsused

#include "DataModule.h"

BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fwdreason, LPVOID lpvReserved)
{
	if(fwdreason==DLL_PROCESS_ATTACH){
		DataModule2=new TDataModule2(NULL);
	}else if(fwdreason==DLL_PROCESS_DETACH){
	}
	return 1;
}
//---------------------------------------------------------------------------

extern "C" __declspec(dllexport) int __stdcall GET(const char *url){
	int retCode=-1;
	try{
		DataModule2->IdHTTP1->Get(url);
		retCode=DataModule2->IdHTTP1->ResponseCode;
	}catch(EIdException &e){
		retCode=DataModule2->IdHTTP1->ResponseCode;
	}catch(Exception &e){
		retCode=-1;
//		int h=-1;
//		h=FileOpen("D:\\Program Files (x86)\\Varchev Financial Brokers\\experts\\files\\test_err.log", fmOpenWrite|fmShareDenyWrite);
//		if(h>0){
//			AnsiString m="\r\nException raised in Test:"+e.Message;
//			FileWrite(h, m.c_str(), m.Length());
//
//			FileClose(h);
//		}
	}
	return retCode;
}
//---------------------------------------------------------------------------




